Results 1 to 21 of 21

Thread: apt-get dist-upgrade error on Kali Rolling

  1. #1
    Join Date
    2016-Mar
    Location
    Bitola, Macedonia
    Posts
    19

    [SOLVED] apt-get dist-upgrade error on Kali Rolling

    Hi,
    When i type apt-get dist-upgrade in terminal this errors show up
    http://s29.postimg.org/bp7r49itz/Scr...8_23_30_04.png
    Please help me
    Thank you
    Attached Images Attached Images
    Last edited by stevo4; 2016-03-30 at 15:11. Reason: Title

  2. #2
    Join Date
    2015-Oct
    Posts
    37
    Try running "apt-get update --fix-missing"

  3. #3
    Join Date
    2013-Oct
    Posts
    16
    Im getting the same, trying to upgrade a sana to rolling
    It downloads most of what it needs but wont continue until the rest is downloaded (tried --fix-missing and no go)

    Need to get 56.7 MB/2,417 MB of archives.
    After this operation, 1,871 MB of additional disk space will be used.
    Do you want to continue? [Y/n] y
    Err http://http.kali.org/kali/ kali-rolling/main libpcre16-3 amd64 2:8.38-3
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main libpython3-stdlib amd64 3.5.1-2
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main python3-minimal amd64 3.5.1-2
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main python3 amd64 3.5.1-2
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main xserver-common all 2:1.18.2-1
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main libsystemd0 amd64 229-2
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main libudev1 amd64 229-2
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main udev amd64 229-2
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main systemd amd64 229-2
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main libc-l10n all 2.22-3
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main locales all 2.22-3
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main locales-all amd64 2.22-3
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main libc6 amd64 2.22-3
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main libc-bin amd64 2.22-3
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main libc-dev-bin amd64 2.22-3
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main libc6-dev amd64 2.22-3
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main libc6-dbg amd64 2.22-3
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main systemd-sysv amd64 229-2
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main libpam-systemd amd64 229-2
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main xserver-xorg-core amd64 2:1.18.2-1
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main libpcre32-3 amd64 2:8.38-3
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main binutils amd64 2.26-5
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main console-setup-linux all 1.139
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main console-setup all 1.139
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main keyboard-configuration all 1.139
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main libgraphite2-3 amd64 1.3.6-1
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main tracker-miner-fs amd64 1.6.1-2
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main tracker-extract amd64 1.6.1-2
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main libtracker-miner-1.0-0 amd64 1.6.1-2
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main tracker-gui amd64 1.6.1-2
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main tracker amd64 1.6.1-2
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main libtracker-control-1.0-0 amd64 1.6.1-2
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main libtracker-sparql-1.0-0 amd64 1.6.1-2
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main xwayland amd64 2:1.18.2-1
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main libpcre3-dev amd64 2:8.38-3
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main libpcrecpp0v5 amd64 2:8.38-3
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main libpcre3 amd64 2:8.38-3
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main libtcl8.6 amd64 8.6.5+dfsg-1
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main multiarch-support amd64 2.22-3
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main openssh-sftp-server amd64 1:7.2p2-1
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main openssh-server amd64 1:7.2p2-1
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main openssh-client amd64 1:7.2p2-1
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main xserver-xorg-legacy amd64 2:1.18.2-1
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main php5-readline amd64 5.6.17+dfsg-3
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main php5-cli amd64 5.6.17+dfsg-3
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main php5-mysql amd64 5.6.17+dfsg-3
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main libapache2-mod-php5 amd64 5.6.17+dfsg-3
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main php5-common amd64 5.6.17+dfsg-3
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main php5 all 5.6.17+dfsg-3
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main libtcl8.5 amd64 8.5.19-1
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main tcl8.6 amd64 8.6.5+dfsg-1
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main python-markdown all 2.6.5-2
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main python-pytest all 2.8.7-4
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main xserver-xephyr amd64 2:1.18.2-1
    404 Not Found
    Err http://http.kali.org/kali/ kali-rolling/main libnss-myhostname amd64 229-2
    404 Not Found
    E: Failed to fetch http://http.kali.org/kali/pool/main/...38-3_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/....1-2_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/....1-2_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/....1-2_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/...18.2-1_all.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/...29-2_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/...29-2_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/...29-2_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/...29-2_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/...2.22-3_all.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/...2.22-3_all.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/...22-3_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/...22-3_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/...22-3_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/...22-3_amd64.deb 404 Not Found

  4. #4
    Join Date
    2013-Oct
    Posts
    16
    Sorry had to split this up in two, below is the rest of what is missing.

    E: Failed to fetch http://http.kali.org/kali/pool/main/...22-3_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/...22-3_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/...29-2_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/...29-2_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/....2-1_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/...38-3_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/...26-5_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/..._1.139_all.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/..._1.139_all.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/..._1.139_all.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/....6-1_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/....1-2_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/....1-2_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/....1-2_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/....1-2_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/....1-2_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/....1-2_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/....1-2_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/....2-1_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/...38-3_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/...38-3_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/...38-3_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/...sg-1_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/...22-3_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/...p2-1_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/...p2-1_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/...p2-1_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/....2-1_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/...sg-3_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/...sg-3_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/...sg-3_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/...sg-3_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/...sg-3_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/...dfsg-3_all.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/...19-1_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/...sg-1_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/....6.5-2_all.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/....8.7-4_all.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/....2-1_amd64.deb 404 Not Found

    E: Failed to fetch http://http.kali.org/kali/pool/main/...29-2_amd64.deb 404 Not Found

    E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

  5. #5
    Join Date
    2013-Apr
    Location
    Kali forums
    Posts
    805
    Hmm, given the 404 errors, maybe the repos were down for awhile? Could you have lost internet connectivity?

  6. #6
    Join Date
    2016-Mar
    Location
    Bitola, Macedonia
    Posts
    19
    thanks for replying
    i tried with apt-get update --fix-missing and then apt-get dist-upgrade show same errors

  7. #7
    Join Date
    2016-Mar
    Posts
    2
    i do have same problem when i tried to install libreofice

    Err:1 http://http.kali.org/kali kali-rolling/main amd64 libreoffice-style-galaxy all 1:5.1.1-1
    404 Not Found
    Err:2 http://http.kali.org/kali kali-rolling/main amd64 libreoffice-common all 1:5.1.1-1
    404 Not Found
    Err:3 http://http.kali.org/kali kali-rolling/main amd64 python3-minimal amd64 3.5.1-2
    404 Not Found
    Err:4 http://http.kali.org/kali kali-rolling/main amd64 python3 amd64 3.5.1-2
    404 Not Found


    also when i tried to update distro i had errors
    but it worked fine when i tried to iinstall other apps like tor and synaptics

  8. #8
    Join Date
    2013-Oct
    Posts
    16
    Its strange because if i take for example one of the failed downloads http://http.kali.org/kali/pool/main/...22-3_amd64.deb and go to the site http://http.kali.org/kali/pool/main/g/glibc the file is not there, its like its a version behind because in that site there is libc-bin_2.22-4_amd64.deb

    Just tried again apt-get dist-upgrade -V to check version numbers and it seems like it wants the slightly older version which does not exist anymore.

    libc-bin (2.19-18+deb8u3 => 2.22-3)
    Last edited by boost; 2016-03-30 at 01:46.

  9. #9
    Join Date
    2013-Oct
    Posts
    16
    Just logged this on the bug tracker.

  10. #10
    Join Date
    2016-Mar
    Location
    Bitola, Macedonia
    Posts
    19
    The problem is solved
    They updated repositories and everything is good now
    Thanks everyone for replying

  11. #11
    Join Date
    2014-Jun
    Posts
    3
    Hey guys, this is still an issue for me anyone else still suffering?

    repo source list has Kali rolling repo only.

    I have tried with the fix-missing to no avail.

    1035 upgraded, 75 newly installed, 5 to remove and 0 not upgraded.
    Need to get 179 MB/1,197 MB of archives.
    After this operation, 230 MB of additional disk space will be used.
    Do you want to continue? [Y/n] y
    Err:1 http://http.kali.org/kali kali-rolling/main amd64 libquadmath0 amd64 5.3.1-12
    404 Not Found
    Err:2 http://http.kali.org/kali kali-rolling/main amd64 libgomp1 amd64 5.3.1-12
    404 Not Found
    Err:3 http://http.kali.org/kali kali-rolling/main amd64 libitm1 amd64 5.3.1-12
    404 Not Found
    Err:4 http://http.kali.org/kali kali-rolling/main amd64 libatomic1 amd64 5.3.1-12
    404 Not Found
    Err:5 http://http.kali.org/kali kali-rolling/main amd64 gcc-5-base amd64 5.3.1-12
    404 Not Found
    Err:6 http://http.kali.org/kali kali-rolling/main amd64 libasan2 amd64 5.3.1-12
    404 Not Found
    Err:7 http://http.kali.org/kali kali-rolling/main amd64 liblsan0 amd64 5.3.1-12
    404 Not Found

  12. #12
    Join Date
    2016-Jan
    Posts
    7

    : apt-get dist-upgrade error on Kali Rolling

    Hi,
    I had the same issue yesterday, and it's still there this morning.

    The strange thing is - yesterday I did apt-get update and apt-get dist-upgrade on two machines in 15 min interval.
    The two comps are in the same room and sharing the same public IP address.
    The first one was successful and the second failed with 404 errors.

    Here is an example of check with apt-cache after upgrades on my two comps.
    (I took metasploit package just as a random example)

    1st_comp#apt-cache policy metasploit-framework
    metasploit-framework:
    Installed: 4.11.19-0kali1
    Candidate: 4.11.19-0kali1
    Version table:
    *** 4.11.19-0kali1 500
    500 http://http.kali.org/kali kali-rolling/main amd64 Packages
    100 /var/lib/dpkg/status

    2nd_comp#apt-cache policy metasploit-framework
    metasploit-framework:
    Installed: 4.11.15-0kali1
    Candidate: 4.11.18-0kali1
    Version table:
    4.11.18-0kali1 500
    500 http://http.kali.org/kali kali-rolling/main amd64 Packages
    *** 4.11.15-0kali1 100
    100 /var/lib/dpkg/status

    The 1st one is upgraded successfully to 4.11.19-0kali1.
    The 2nd one sees 4.11.18-0kali1 as a candidate

    ???
    It seems that they do not update from the same mirror, or what?

    Any advice?

    TIA and best regards,

    sole

  13. #13
    Join Date
    2016-Jan
    Posts
    7
    OK, let me reply to my own post.

    The problem solved by itself. The next day everything was fine again.

    I wander if this was problem of mirror repositories out of sync.
    If so, my question is - is it possible somehow to control the choice of repositories from the user side?

  14. #14
    Join Date
    2016-Mar
    Posts
    2
    problem still exist, i can't upgrade distro even after Reinstalling kali again this is really devastating

  15. #15
    Join Date
    2016-Apr
    Posts
    15
    I install Kali Rolling 2016.1-amd64.iso in VirtualBox, the Kernel of this download was at 4.3. It worked fine. I then built my own iso with KDE. Followed the steps and made the iso. I then loaded that into VirtualBox. So in my VB I have the both Kali; one with KDE, the other without. Both boot fine.

    I then upgraded the kernel 4.3 to 4.4 which is the one without KDE. This still running well. I try doing the same on the one with KDE, but it will not upgrade. I check the Kernel with uname -a it is,

    Linux kali 4.0.0-kali1-amd64 #1 SMP Debian 4.0.4-1+kali2 (2015-06-03) x86_64 GNU/Linux

    Is there away to get this on Kali Rolling 4.4?

    So far I have tried :

    apt-get update
    apt-get upgrade
    apt-get dist-upgrade
    apt-get dist-upgrade --fix missing
    apt-get dist-upgrade -y

    All give this output

    root@kali:~# apt-get dist-upgrade -y
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Calculating upgrade... Done
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

    Can someone tell me what I am doing incorrectly? Thanks.

  16. #16
    Join Date
    2016-Apr
    Posts
    15
    Issue solved, upgrading now. Will post if I get it on 4.4. I had a really good look at the cat /etc/apt/sources.list and in there was the issue. commented out the old stuff update then upgrade.

  17. #17
    Join Date
    2016-Apr
    Posts
    15
    Update: been getting numerous errors, during the upgrade: will update this post with them, if one can recognize, these errors and see how best then can be overcome.
    Errors:

    Errors were encountered while processing:
    /var/cache/apt/archives/samba-vfs-modules_2%3a4.3.7+dfsg-1_amd64.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    root@kali:~#

  18. #18
    Join Date
    2016-Apr
    Posts
    15
    Success

    Linux kali 4.4.0-kali1-amd64 #1 SMP Debian 4.4.6-1kali1 (2016-03-18) x86_64 GNU/Linux

    On major issue I cannot login in on the start up page as root after the update.

    I can get to terminal by logging as root and password, but at the start page, same root and the password does not work. How do I fix this, anyone?

  19. #19
    Join Date
    2016-Apr
    Posts
    15
    Still cannot login as root on the GUI; getting "ROOT login not allow"

  20. #20
    Join Date
    2016-Apr
    Posts
    15
    Threw in the towel on this upgrade Kernel 4.0.0 to 4.4.0. Spin another ISO with Kali-Rolling 2016.1 kernel 4.4.0 with KDE added; "walla" issue over. That I must say my friend, was a total waste of time.

  21. #21
    Join Date
    2016-Jan
    Posts
    17
    Kali need to put new fixed version of Roling Distribution..

Similar Threads

  1. Kali rolling 17.1 stauls during loading process after dist-upgrade
    By E.T.II in forum TroubleShooting Archive
    Replies: 4
    Last Post: 2017-09-22, 20:03
  2. Kali Rolling - gdm fails to start after dist-upgrade
    By wtf in forum TroubleShooting Archive
    Replies: 0
    Last Post: 2016-09-25, 07:43
  3. Kali-rolling dist-upgrade failed
    By junk-I in forum ARM Archive
    Replies: 1
    Last Post: 2016-07-15, 05:47

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •